# Uses of Class
org.apache.sysds.runtime.instructions.spark.data.PartitionedBlock

Packages that use PartitionedBlock
Package
Description
org.apache.sysds.runtime.controlprogram.context
org.apache.sysds.runtime.instructions.spark.data

## Uses of PartitionedBlock in org.apache.sysds.runtime.controlprogram.context

Methods in org.apache.sysds.runtime.controlprogram.context that return PartitionedBlock
Modifier and Type
Method
Description
`static PartitionedBlock<MatrixBlock>`
SparkExecutionContext.`toPartitionedMatrixBlock(org.apache.spark.api.java.JavaPairRDD<MatrixIndexes,MatrixBlock> rdd, int rlen, int clen, int blen, long nnz)`

## Uses of PartitionedBlock in org.apache.sysds.runtime.instructions.spark.data

Methods in org.apache.sysds.runtime.instructions.spark.data that return PartitionedBlock
Modifier and Type
Method
Description
`PartitionedBlock<T>`
PartitionedBlock.`createPartition(int offset, int numBlks)`
Methods in org.apache.sysds.runtime.instructions.spark.data that return types with arguments of type PartitionedBlock
Modifier and Type
Method
Description
`org.apache.spark.broadcast.Broadcast<PartitionedBlock<T>>[]`
PartitionedBroadcast.`getBroadcasts()`